Group: System/Kernel and hardware
BuildRequires: libsgutils-devel
%define oldname ledmon
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Enclosure LED Utilities
Name: ledmon-enclosure
Version: 0.97
Release: alt1_6
License: GPL-2.0-only AND LGPL-2.1-only
URL: https://github.com/intel/ledmon
Source0: https://github.com/intel/ledmon/archive/v%{version}.tar.gz#/%{oldname}-%{version}.tar.gz

# remove -Werror=format-truncation=1 in order to build package
Patch0: ledmon_format-truncation-flag.patch

BuildRequires: libsgutils-devel
BuildRequires: libpci-devel
BuildRequires: autoconf automake
BuildRequires: gcc
# Needed for pkgconfig usage.
BuildRequires: pkgconfig(systemd)
# Needed for the udev dependency.
BuildRequires: libsystemd-devel libudev-devel
BuildRequires: rpm-macros-systemd

Obsoletes: ledctl = 0.1-1
Provides: ledctl = %{version}-%{release}

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}
Source44: import.info

%description
The ledmon and ledctl are user space applications design to control LED
associated with each slot in an enclosure or a drive bay. There are two
types of system: 2-LED system (Activity LED, Status LED) and 3-LED system
(Activity LED, Locate LED, Fail LED). User must have root privileges to
use this application.

%prep
%setup -n %{oldname}-%{version} -q
%patch0 -p1

autoreconf -fiv

%build
%configure --enable-systemd=yes
%make_build

%install
%makeinstall_std

%post
%post_service ledmon

%preun
%preun_service ledmon

%files
%doc README.md COPYING
%{_sbindir}/ledctl
%{_sbindir}/ledmon
%{_mandir}/*/*
%{_unitdir}/ledmon.service

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.97-alt1_6
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.97-alt1_3
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.96-alt2_6
- update to new release by fcimport

* Sun Sep 11 2022 Cronbuild Service <cronbuild@altlinux.org> 0.96-alt2_4
- rebuild to get rid of unmets

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.96-alt1_4
- update to new release by fcimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 0.96-alt1_3
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.95-alt2_6
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.95-alt2_5
- update to new release by fcimport

* Sun Jun 27 2021 Cronbuild Service <cronbuild@altlinux.org> 0.95-alt2_4
- rebuild to get rid of unmets

* Wed Apr 14 2021 Igor Vlasenko <viy@altlinux.org> 0.95-alt1_4
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.95-alt1_2
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.92-alt2_5
- update to new release by fcimport

* Tue Nov 03 2020 Igor Vlasenko <viy@altlinux.ru> 0.92-alt1_5
- update

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.79-alt1_5
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.79-alt1_4
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.79-alt1_3
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.79-alt1_2
- update to new release by fcimport

* Sat Dec 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.79-alt1_1
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.78-alt1_2
- update to new release by fcimport

* Fri Jul 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.78-alt1_1
- update to new release by fcimport

* Sat May 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.77-alt1_1
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.75-alt1_2
- update to new release by fcimport

* Mon Jan 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.75-alt1_1
- update to new release by fcimport

* Wed Nov 21 2012 Igor Vlasenko <viy@altlinux.ru> 0.74-alt1_3
- update to new release by fcimport

* Mon Oct 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.74-alt1_2
- fc import

* Mon Oct 15 2012 Igor Vlasenko <viy@altlinux.ru> 0.74-alt1_1
- fc import

